FrontPage 2002 Server Extensions for IIS 7.0 on Windows Server 2008 and Windows Vista

Windows This is a Community Contributed Download

CategoryManage
LicenseFree
Supported byEmail, Phone, Knowledge base, Forums
Works With N/A
DocumentationFrontPage 2002 Server Extensions for IIS 7.0 on Windows Server 2008 and Windows Vista Documentation
Updated onAugust 2, 2011
Uploaded byReady-to-Run

Overview

As of December 18, 2010, Microsoft FrontPage Server Extensions (FPSE) 2002 for Windows Vista and Windows Server 2008 RTM is supported by Ready-to-Run Software, Inc. For support and servicing, contact Ready-to-Run Software, Inc . This version of the FrontPage 2002 Server Extensions is designed for 32-bit and 64-bit systems. ( Note : The FrontPage 2002 Server Extensions use a 32-bit worker process on 64-bit systems.) Note : This version of the FrontPage 2002 Server Extensions is designed for use with IIS 7.0 on Windows Server 2008 and Windows Vista. If you are using IIS 7.5, please see RTR FrontPage Server Extensions for IIS 7.5 on Windows Server 2008 R2 and Windows 7 .

Features

This version of FPSE 2002 introduces no new functionality, and is essentially the same version that was created for Windows Server 2003 that has been updated to work on Windows Server 2008 and Windows Vista.

For more information on FrontPage features that require the FrontPage Server Extensions, please see the following Microsoft Knowledge Base article:

Benefits

FPSE 2002 enables web hosters and developers to author their web content on servers or workstations that are running IIS 7.0 on Windows Server 2008 and Windows Vista.

Requirements

The following prerequisites must be fulfilled in order to install FPSE 2002 for Windows Server 2008 RTM and Windows Vista:

  • You must be using one of the following operating systems:
    • Windows Server 2008 RTM (Code Name "Longhorn")
    • Windows Vista Ultimate
    • Windows Vista Home Premium
    • Windows Vista Business
    • Windows Vista Enterprise
  • You must install FPSE as an administrator. If User Access Control (UAC) is enabled, you must use the “Run as Administrator” option when installing. For additional information about UAC, please see the documentation link that is listed in this download page. 
  • Internet Information Services 7.0 must be installed. In addition, the following role services and features are required to install FPSE; if they are not already installed on your computer, they will be installed for you automatically when you install FPSE 2002:
    • Web Server (IIS) Role Services:
      • Web Server
        • Common HTTP Features (Static Content, Default Document, Directory Browsing, HTTP Errors)
        • Application Development (ISAPI Extensions, ISAPI Filters)
        • Security (Windows Authentication, Request Filtering)
        • Health and Diagnostics (HTTP Logging, Request Monitor)
        • Performance (Static Content Compression)
      • Management Tools (Role Services)
        • IIS 6 Management Compatibility (IIS 6 Metabase Compatibility)
        • IIS Management Console
    •  Features:
      • Windows Process Activation Service
        • Process Model

Note: IIS 7.0 supports a new shared configuration environment, which must be disabled before installing FPSE 2002; shared configuration is not supported with FPSE 2002.